package org.processmining.gplv2utils.plugins;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.gplv2utils.help.GPLv2LicenseHelp;
import org.processmining.gplv2utils.models.GPLv2License;

@Plugin(name = "Show GPL License, Version 2.0", parameterLabels = {}, returnLabels = { "GPL License, Version 2.0" }, returnTypes = { GPLv2License.class }, help = GPLv2LicenseHelp.TEXT)
public class GPLv2LicensePlugin {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W. Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(variantLabel = "Show GPL License, Version 2.0", requiredParameterLabels = {})
	public GPLv2License show(UIPluginContext context) {
		return new GPLv2License();
	}

}
